<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html>
<head>
  <title>add_font (FontDB)</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <link rel="stylesheet" href="../.././rdoc-style.css" type="text/css" media="screen" />
</head>
<body class="standalone-code">
  <pre><span class="ruby-comment cmt"># File font_db.rb, line 150</span>
  <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">add_font</span>(<span class="ruby-identifier">path</span>)
    <span class="ruby-identifier">font_data</span> = [<span class="ruby-identifier">path</span>] <span class="ruby-operator">+</span> <span class="ruby-constant">Font</span>.<span class="ruby-identifier">meta</span>(<span class="ruby-identifier">path</span>)
    <span class="ruby-ivar">@db</span>.<span class="ruby-identifier">execute</span>(<span class="ruby-node">%{
      INSERT INTO fonts 
      (
        path, copyright, family, subfamily,
        name, foundry, description, license, defaulttext
      ) 
      VALUES (
        '#{font_data.collect{|x|x.to_s}.join(%{','})}'
      )
    }</span>)
  <span class="ruby-keyword kw">end</span></pre>
</body>
</html>